Subject: bug#75515: 30.0.92; doc-view: Saving an epub raises error in doc-view--revert-buffer

From: Stefan Kangas <[email-masked]>
Date: Sat, 1 Mar 2025 23:30:14 -0800

forcemerge 76478 75515
thanks

Tassilo Horn <[email-masked]> writes:

> merge 75515 76478
>
> Stefan Kangas <[email-masked]> writes:
>
>> Benjamin Riefenstahl <[email-masked]> writes:
>>
>>> I was editing an epub file.  When I save, I get an error from
>>> doc-view--revert-buffer.  I have reproduced the problem with "emacs -Q".
>>
>> Tassilo, any comments here?
>
> Yes, that should already fixed by 34362a2a1cc for bug#76478 which is
> essentially the same just with OpenDocument docs which are archives,
> too.

OK, thanks.

> I hope I've merged these two reports with this message.

I think a forcemerge was needed, so I did that above.